Help to update from 3.0.1 to 3.0.4

Temporary forum to obtain support while phpBB.com is offline.
Please use the support forum on phpBB.com
Forum rules
Temporary forum to obtain support while phpBB.com is offline.
Please use the support forum on phpBB.com
User avatar
Kevin Clark
Support Team
Support Team
Posts: 751
Joined: Thu Feb 10, 2005 5:34 pm
Location: UK
Contact:

Re: Help to update from 3.0.1 to 3.0.4

Post by Kevin Clark »

When you have MODs installed you do not want to use the downloadable changed files packages.
They contain plain phpBB3 files of those which have been changed in the update.

If you have MODs you want the automatic update package.
What that does is compare your modded files to the new ones and gives you a download of the merged files to upload to the server.

Sure, if you want to sit and compare every changed package file to the one you have and manually make the edits yourself you can. But it should be explained as such. Just saying you need the changed files version and then not saying what to do with it can break someones modded board.
Image

e-lemon-ator
Registered User
Posts: 15
Joined: Fri Feb 06, 2009 2:24 pm

Re: Help to update from 3.0.1 to 3.0.4

Post by e-lemon-ator »

You will need to go here
http://sourceforge.net/project/showfile ... _id=194469
and get the _to_ versions of the automatic updates for each version you want to get to and go step wise from 3.0.1>2>4 (you can jump from 2>4 without going through v3).

Upload the install folder
go to your admin panel>system tab and follow directions.
I downloaded file, 3.01 to 3.02 - uploaded the 'Install' folder. Went to admin panel>system tab. Read:
Once uploaded your board will be offline for normal users due to the install directory you uploaded now present.

Now start the update process by pointing your browser to the install folder.
then clicked on the 'Now start.......' link - this didn't work.

Manually typed http://www.myweb.com/phpBB3/install in the browser, this didn't work

Stupid comment I know, but I don't have the 'Automatic Update Package' - so I am guessing this is why I'm getting no where.

Do you know where I can download and install the Automatic Update Package? (I am presuming this is software which helps to install updates?)

Can I upload the files manually? I do have MODs: chat, profiles showing on left, Youtube spoiler, plus others.

I expect this is a simple exercise and I making it into a drama! Appreciate your help :)

User avatar
Kevin Clark
Support Team
Support Team
Posts: 751
Joined: Thu Feb 10, 2005 5:34 pm
Location: UK
Contact:

Re: Help to update from 3.0.1 to 3.0.4

Post by Kevin Clark »

What does 'it didn't work' mean?

The 'to' packages are the automatic update versions.
You just upload the install folder, go to the admin panel>system tab or yoursite.com/install and follow the directions.
Image

e-lemon-ator
Registered User
Posts: 15
Joined: Fri Feb 06, 2009 2:24 pm

Re: Help to update from 3.0.1 to 3.0.4

Post by e-lemon-ator »

Sorry, 'didn't work' meant: 'page couldn't be found'.

Rushing off to sort this out.... thanks!

carred
Registered User
Posts: 1
Joined: Sun Feb 08, 2009 11:56 am

Re: Help to update from 3.0.1 to 3.0.4

Post by carred »

I am trying to do the same update but the problem is at the stage where you have to d/l the archived files. i am unable to use any of the archive options. Various errors come up.
the tar one is "Unable to open file ./../store/update_3.0.3_to_3.0.4_1234095229_d15cde2576b8b597.tar [fopen - wb]
The zip is " [phpBB Debug] PHP Notice: in file /includes/functions_compress.php on line 384: fwrite(): supplied argument is not a valid stream resource" repeated many times ( i assume for each file)

I've had to cancel the process as the ftp option does not work either
Any help would be appriciated
Apologies if this should be a new topic

e-lemon-ator
Registered User
Posts: 15
Joined: Fri Feb 06, 2009 2:24 pm

Re: Help to update from 3.0.1 to 3.0.4

Post by e-lemon-ator »

Don't know whether you like feedback, but the upgrade from 3.01 to 3.02 went very smooth! Thanks for you help.... now on to upgrade from 3.02 to 3.4.

Locked